probe::staprun.send_control_message
Prev | Chapter 30. SystemTap Translator Tapset | Next

## Name

probe::staprun.send_control_message — Sending a control message

## Synopsis

    staprun.send_control_message

## Values

`type`

  type of message being send; defined in runtime/transport/transport_msgs.h

`len`

  the length (in bytes) of the data blob

`data`

  a ptr to a binary blob of data sent as the control message

## Description

Fires at the beginning of the send_request function.

Prev | Up | Next
probe::staprun.remove_module | Home | Chapter 31. Network File Storage Tapsets